HomePhabricator

[UnitTests] Try and pacify gcc-5

Authored by jmolloy on Oct 5 2019, 1:57 AM.

Description

[UnitTests] Try and pacify gcc-5

This looks like a defect in gcc-5 where it chooses a constexpr
constructor from the initializer-list that it considers to be explicit.

I've tried to reproduce but I can't install anything prior to gcc-6 easily
on my system, and that doesn't have the error. So this is speculative
pacification.

Reported by Steven Wan.

llvm-svn: 373820

Details

Committed
jmolloyOct 5 2019, 1:57 AM
Parents
rG68f58a75a76b: Do not install lit-cpuid
Branches
Unknown
Tags
Unknown